ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Andrew Onischuk (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (AMBARI-6557) hive.metastore.pre.event.listeners not set in Ambari installation, in effect disabling hive thrift metastore authorization.
Date Wed, 23 Jul 2014 12:05:38 GMT

     [ https://issues.apache.org/jira/browse/AMBARI-6557?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Andrew Onischuk resolved AMBARI-6557.
-------------------------------------

    Resolution: Fixed

Committed to trunk

> hive.metastore.pre.event.listeners not set in Ambari installation, in effect disabling
hive thrift metastore authorization.
> ---------------------------------------------------------------------------------------------------------------------------
>
>                 Key: AMBARI-6557
>                 URL: https://issues.apache.org/jira/browse/AMBARI-6557
>             Project: Ambari
>          Issue Type: Bug
>            Reporter: Andrew Onischuk
>            Assignee: Andrew Onischuk
>             Fix For: 1.7.0
>
>
> PROBLEM:
> For hive thrift metastore authorization to be enabled,  
> hive.metastore.pre.event.listeners need to be set, default value
> org.apache.hadoop.hive.ql.security.authorization.AuthorizationPreEventListener
> However, this is not set in Ambari 1.6.0 installation. This property is hard
> for customer to find and add it themselves.



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message